Subject: Re: bug#9141: Coreutils Compiler Warnings on OSX 10.7 (Lion)

From: Herb Wartens <[email-masked]>
Date: Thu, 21 Jul 2011 16:00:27 -0700

On 07/21/11 02:16, Herb Wartens wrote:
>
> > I have added a hack to get coreutils to compile cleanly on OSX.
>
> Thanks, but we should fix this problem more cleanly.  Does the
> following patch to lib/stdint.in.h solve your problem?  This fix is
> already scheduled to appear in the next version of coreutils.  If it
> doesn't solve your problem, what are the symptoms of failure?
>
>
I agree.  Fixing it more cleanly would definitely be better!  The patch I
sent was a hack just to get coreutils compiling cleanly.  The patch you sent
does indeed remove the compiler warnings I was seeing when printing integers
with the PRIuMAX and PRIdMAX macros on OSX. I am still seeing the fdatasync
warnings though.